|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectcom.atlassian.jira.plugins.share.ShareServiceImpl
public class ShareServiceImpl
Listens for ShareIssueEvents and sends items to the Mail queue.
| Nested Class Summary |
|---|
| Nested classes/interfaces inherited from interface com.atlassian.jira.plugins.share.ShareService |
|---|
ShareService.ValidateShareIssueResult, ShareService.ValidateShareResult, ShareService.ValidateShareSearchRequestResult |
| Constructor Summary | |
|---|---|
ShareServiceImpl(com.atlassian.event.api.EventPublisher eventPublisher,
I18nHelper.BeanFactory beanFactory,
UserUtil userUtil,
PermissionManager permissionManager,
MailService mailService,
ShareManager shareManager)
|
|
| Method Summary | |
|---|---|
void |
shareIssue(ShareService.ValidateShareIssueResult result)
Given a valid ValidateShareIssueResult this method will send an e-mail to the users and fire a ShareIssueEvent |
void |
shareSearchRequest(ShareService.ValidateShareSearchRequestResult result)
Given a valid ValidateShareIssueResult this method will send an e-mail to the users and fire a ShareJqlEvent or ShareSearchRequestEvent
depending on if a saved filter was passed to the validate method. |
ShareService.ValidateShareIssueResult |
validateShareIssue(com.atlassian.crowd.embedded.api.User remoteUser,
ShareBean shareBean,
Issue issue)
Confirms that the shareBean param contains either usernames or e-mails and also validates that the user performing this operation has the permission to view other users in this JIRA instance. |
ShareService.ValidateShareSearchRequestResult |
validateShareSearchRequest(com.atlassian.crowd.embedded.api.User remoteUser,
ShareBean shareBean,
SearchRequest searchRequest)
Confirms that the shareRequest param contains either usernames or e-mails and also validates that the user performing this operation has the permission to view other users in this JIRA instance. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public ShareServiceImpl(com.atlassian.event.api.EventPublisher eventPublisher,
I18nHelper.BeanFactory beanFactory,
UserUtil userUtil,
PermissionManager permissionManager,
MailService mailService,
ShareManager shareManager)
| Method Detail |
|---|
public ShareService.ValidateShareIssueResult validateShareIssue(com.atlassian.crowd.embedded.api.User remoteUser,
ShareBean shareBean,
Issue issue)
ShareService
validateShareIssue in interface ShareServiceremoteUser - The user performing the share operationshareBean - Bean containing information about who to share withissue - The issue being shared
public void shareIssue(ShareService.ValidateShareIssueResult result)
ShareServiceShareIssueEvent
shareIssue in interface ShareServiceresult - a valid validateShareIssueResult.
public ShareService.ValidateShareSearchRequestResult validateShareSearchRequest(com.atlassian.crowd.embedded.api.User remoteUser,
ShareBean shareBean,
SearchRequest searchRequest)
ShareService
validateShareSearchRequest in interface ShareServiceremoteUser - The user performing the share operationshareBean - Bean containing information about who to share withsearchRequest - A saved filter being shared or null if a unsaved JQL search is being shared
public void shareSearchRequest(ShareService.ValidateShareSearchRequestResult result)
ShareServiceShareJqlEvent or ShareSearchRequestEvent
depending on if a saved filter was passed to the validate method.
shareSearchRequest in interface ShareServiceresult - a valid validateShareIssueResult.
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||